import { OnInit, AfterViewInit, EventEmitter } from '@angular/core';
import * as L from 'leaflet';
export declare class MeasureComponent implements OnInit, AfterViewInit {
    map: L.Map;
    L: L.Map;
    isEnabled: EventEmitter<boolean>;
    distance: number;
    area: number;
    enabled: boolean;
    private drawLayer;
    private vertexLayer;
    private lineLayer;
    private polygonLayer;
    private previewLineLayer;
    private previewVertexLayer;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    readonly distanceLabel: string;
    readonly areaLabel: string;
    toggleEnabled(event: any): void;
    private formatDistanceLabel(distance);
    private formatAreaLabel(area);
    private enableDrawMode();
    private disableDrawMode();
    disable(): void;
    showInfoBox(): boolean;
    private addVertex(latlng);
    private createVertexFromLatLng(latlng);
    private drawLine();
    private createLine(vertices);
    private measureLine(vertices);
    private drawPreviewLine(toLatLng);
    private drawPreviewVertex(latlng);
    private drawPolygon();
    private isItAPolygon(line);
    private calculatePolygonArea(polygon);
    private createPolygonFromLineFeatureCollection(lineFeatureCollection);
    private onMouseMove(event);
    onClick(event: any): void;
    addListeners(): void;
    private removeListeners();
}
